routes/web.php
<?php

use App\Http\Controllers\ProjectController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () { return redirect() -> route('projects'); });

Route::get('/projects', [ProjectController::class, 'index']) -> middleware(['auth']) -> name('projects');
Route::get('/projects/{project:id}', [ProjectController::class, 'show']) -> middleware(['auth']) -> name('project');

Route::get('/team', function () { return view('pages.team'); }) -> middleware(['auth']) -> name('team');

Route::get('/clients', function () { return view('pages.clients'); }) -> middleware(['auth']) -> name('clients');

require __DIR__.'/auth.php';

app/View/Components/AppLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;

class AppLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     *
     * @return \Illuminate\View\View
     */
    public function render()
    {
        return view('layouts.app');
    }
}

resources/views/pages/clients.blade.php
<x-app-layout>

    <div
        class="w-full flex items-center justify-between my-4"
        x-data="{ show: false }"
        x-init="
            Livewire.on('clientCreated', () => {
                show = false;
            });
        "
    >
        @if (auth() -> user() -> isProjectManager())
            <a
                @click="show = true"
                class="cursor-pointer ml-auto mr-0 flex flex-row items-center px-4 py-2 rounded-xl font-semibold text-cyan-400 hover:text-cyan-500 hover:bg-cyan-200 hover:bg-opacity-20 transition"
            >
                <svg class="h-5 w-5 mr-1" viewBox="0 0 20 20" fill="currentColor">
                    <path fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm1-11a1 1 0 10-2 0v2H7a1 1 0 100 2h2v2a1 1 0 102 0v-2h2a1 1 0 100-2h-2V7z" clip-rule="evenodd" />
                </svg>
                Add a client
            </a>

            <div x-cloak>
                <livewire:create-client />
            </div>
        @endif

    </div>

    <livewire:clients-table />

</x-app-layout>

resources/views/pages/projects.blade.php
<x-app-layout>

    @if (auth() -> user() -> isProjectManager())
        <div
            class="w-full flex items-center justify-between mt-4"
            x-data="{ show: false }"
            x-init="
                Livewire.on('projectCreated', () => {
                    show = false;
                });
            "
        >
            <a
                @click="show = true"
                class="cursor-pointer ml-auto mr-0 flex flex-row items-center px-4 py-2 rounded-xl font-semibold text-cyan-400 hover:text-cyan-500 hover:bg-cyan-200 hover:bg-opacity-20 transition"
            >
                <svg class="h-5 w-5 mr-1" viewBox="0 0 20 20" fill="currentColor">
                    <path fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm1-11a1 1 0 10-2 0v2H7a1 1 0 100 2h2v2a1 1 0 102 0v-2h2a1 1 0 100-2h-2V7z" clip-rule="evenodd" />
                </svg>
                New project
            </a>

            <div x-cloak>
                <livewire:create-project />
            </div>

        </div>
    @endif

    <livewire:projects-table />

</x-app-layout>

resources/views/pages/team.blade.php
<x-app-layout>

    @if (auth() -> user() -> isProjectManager())
        <div
            class="w-full flex items-center justify-between mt-4"
            x-data="{ show: false }"
            x-init="
                Livewire.on('userCreated', () => {
                    show = false;
                });
            "
        >
            <a
                @click="show = true"
                class="cursor-pointer ml-auto mr-0 flex flex-row items-center px-4 py-2 rounded-xl font-semibold text-cyan-400 hover:text-cyan-500 hover:bg-cyan-200 hover:bg-opacity-20 transition"
            >
                <svg class="h-5 w-5 mr-1" viewBox="0 0 20 20" fill="currentColor">
                    <path fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm1-11a1 1 0 10-2 0v2H7a1 1 0 100 2h2v2a1 1 0 102 0v-2h2a1 1 0 100-2h-2V7z" clip-rule="evenodd" />
                </svg>
                Add a team member
            </a>

            <div x-cloak>
                <livewire:create-user />
            </div>

        </div>
    @endif

    <livewire:team-table />

</x-app-layout>